Activation key content views and environments applied in "wrong" order
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1103345
Description of problem:
When a Host Group applies a list of activation keys:

SA2-SOE,Wordpress

The first activation key in the list determines the content view and the environment for the resulting host. The expectation in a list of
this nature is that the last key in the list determines the CV and Env for the resultant host.

My reasoning is as follows:

Most people will stack keys in order from the least complex (base OS, simple add-ons) to the most complex (third-party software and
its requirements). If the base OS key is used first, as most people would tend to use it, the resulting host will always get the CV/Env
of the base key, and ignore the others.

Version-Release number of selected component (if applicable):
foreman-1.6.0.13-1.el6sat.noarch
foreman-compute-1.6.0.13-1.el6sat.noarch
foreman-gce-1.6.0.13-1.el6sat.noarch
foreman-libvirt-1.6.0.13-1.el6sat.noarch
foreman-ovirt-1.6.0.13-1.el6sat.noarch
foreman-postgresql-1.6.0.13-1.el6sat.noarch
foreman-proxy-1.6.0.6-1.el6sat.noarch
foreman-vmware-1.6.0.13-1.el6sat.noarch
katello-1.5.0-25.el6sat.noarch

katello-ca-1.0-1.noarch
katello-certs-tools-1.5.5-1.el6sat.noarch
katello-installer-0.0.44-1.el6sat.noarch
pulp-katello-plugins-0.3-1.el6sat.noarch
ruby193-rubygem-foreman_bootdisk-2.0.6-1.1.el6sat.noarch
ruby193-rubygem-foreman_discovery-1.3.0-0.1.rc2.el6sat.noarch
ruby193-rubygem-foreman_hooks-0.3.5-2.el6sat.noarch
ruby193-rubygem-foreman-redhat_access-0.0.4-1.el6sat.noarch
ruby193-rubygem-foreman-tasks-0.5.7-2.el6sat.noarch
ruby193-rubygem-katello-1.5.0-51.el6sat.noarch
rubygem-hammer_cli_foreman-0.1.1-5.el6sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3-2.el6sat.noarch
rubygem-hammer_cli_katello-0.0.4-4.el6sat.noarch

While this is a bit of nit-picking, regardless of whether we "fix" this or not, it must be clearly documented (in the Ul) which activation
key will determine the CV/Env if multiples are used.

Associated revisions

Revision 88c01eaa - 08/04/2014 01:53 PM - Thomas McKay

fixes #6883 - reverse order of activation keys
Revision 78¢3c6c5 - 08/04/2014 05:22 PM - Thomas McKay
Merge pull request #4526 from thomasmckay/6883-actkey-order

fixes #6883 - reverse order of activation keys

History

#1 - 08/04/2014 01:56 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/katello/pull/4526 added
- Pull request deleted ()

#2 - 08/04/2014 06:01 PM - Thomas McKay
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|88c01eaa8db9707a2a166f3da56d299f2f9d47c0.

#3 - 08/04/2014 09:56 PM - Eric Helms
- Category set to 81

- Triaged changed from No to Yes

#4 - 08/22/2014 09:24 AM - Eric Helms

- translation missing: en.field_release set to 13
